GNU bug report logs - #39014
[PATCH] gnu: Add imv.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Peng Mei Yu <pengmeiyu@HIDDEN>; Keywords: fixed patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug closed, send any further explanations to 39014 <at> debbugs.gnu.org and Peng Mei Yu <pengmeiyu@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39014 <at> debbugs.gnu.org:


Received: (at 39014) by debbugs.gnu.org; 17 Jan 2020 13:26:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 17 08:26:52 2020
Received: from localhost ([127.0.0.1]:38969 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1isReC-0002F9-98
	for submit <at> debbugs.gnu.org; Fri, 17 Jan 2020 08:26:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39209)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1isRe7-0002Ep-Dl
 for 39014 <at> debbugs.gnu.org; Fri, 17 Jan 2020 08:26:47 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59914)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1isRe1-0002wj-2N; Fri, 17 Jan 2020 08:26:37 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=47182 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1isRdu-0006fM-LP; Fri, 17 Jan 2020 08:26:35 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Peng Mei Yu <pengmeiyu@HIDDEN>
Subject: Re: [bug#39014] [PATCH] gnu: Add imv.
References: <20200107101800.14443-1-pengmeiyu@HIDDEN>
Date: Fri, 17 Jan 2020 14:26:28 +0100
In-Reply-To: <20200107101800.14443-1-pengmeiyu@HIDDEN> (Peng Mei Yu's
 message of "Tue, 7 Jan 2020 18:18:00 +0800")
Message-ID: <87r1zy1aez.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39014
Cc: 39014 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Peng Mei Yu <pengmeiyu@HIDDEN> skribis:

> * gnu/packages/image-viewers.scm (imv): New variable.

Pushed, thanks!

In a followup commit, I fixed the file names recorded in the =E2=80=98imv=
=E2=80=99
script.

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#39014; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jan 2020 15:32:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 07 10:32:04 2020
Received: from localhost ([127.0.0.1]:49034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ioqpv-0001TP-IU
	for submit <at> debbugs.gnu.org; Tue, 07 Jan 2020 10:32:04 -0500
Received: from lists.gnu.org ([209.51.188.17]:40026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pengmeiyu@HIDDEN>) id 1iolwH-00063C-IQ
 for submit <at> debbugs.gnu.org; Tue, 07 Jan 2020 05:18:18 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:52067)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <pengmeiyu@HIDDEN>) id 1iolwE-0007JU-Er
 for guix-patches@HIDDEN; Tue, 07 Jan 2020 05:18:15 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_LOW,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pengmeiyu@HIDDEN>) id 1iolwC-0001LE-Oj
 for guix-patches@HIDDEN; Tue, 07 Jan 2020 05:18:14 -0500
Received: from mx1.riseup.net ([198.252.153.129]:49482)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pengmeiyu@HIDDEN>)
 id 1iolwC-0001JZ-EJ
 for guix-patches@HIDDEN; Tue, 07 Jan 2020 05:18:12 -0500
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 47sSxv0r2JzDsRp
 for <guix-patches@HIDDEN>; Tue,  7 Jan 2020 02:18:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1578392291; bh=9NgiWLfkPtInzNKDIKOpVaCxJN5HEbiTfEND8t2WzEU=;
 h=From:To:Cc:Subject:Date:From;
 b=KuQ4VnI3wSX21fVmfFXMDbZBPrHVe7w09d9igc8qLdGwwhZTw1NHLaK167tNeWJ8a
 u0f7QeqPHt5A/0h7tYFgmlQ92tPpTPLUndO7IjCndonke+UU5OCpWFTRAKFhB7hxjP
 50Gdg5PLGuqkztsUeHkMnzO2YI7MDQR0lmSjFTVM=
X-Riseup-User-ID: FE4A8B905B62D76CC3F9ADE8DE1A9C84EE8A80FA0EBC3A4536302399A386D95B
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 47sSxt29v5z8vYB;
 Tue,  7 Jan 2020 02:18:10 -0800 (PST)
Received: from localhost.localdomain (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 80f0f848;
 Tue, 7 Jan 2020 10:18:06 +0000 (UTC)
From: Peng Mei Yu <pengmeiyu@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add imv.
Date: Tue,  7 Jan 2020 18:18:00 +0800
Message-Id: <20200107101800.14443-1-pengmeiyu@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 198.252.153.129
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 07 Jan 2020 10:32:02 -0500
Cc: Peng Mei Yu <pengmeiyu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

* gnu/packages/image-viewers.scm (imv): New variable.
---
 gnu/packages/image-viewers.scm | 62 ++++++++++++++++++++++++++++++++++
 1 file changed, 62 insertions(+)

diff --git a/gnu/packages/image-viewers.scm b/gnu/packages/image-viewers.=
scm
index eef2866b4b..9397322e96 100644
--- a/gnu/packages/image-viewers.scm
+++ b/gnu/packages/image-viewers.scm
@@ -12,6 +12,7 @@
 ;;; Copyright =C2=A9 2019 Nicolas Goaziou <mail@HIDDEN>
 ;;; Copyright =C2=A9 2019 Guy Fleury Iteriteka <hoonandon@HIDDEN>
 ;;; Copyright =C2=A9 2019 Pierre Langlois <pierre.langlois@HIDDEN>
+;;; Copyright =C2=A9 2020 Peng Mei Yu <pengmeiyu@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -40,11 +41,15 @@
   #:use-module (gnu packages autotools)
   #:use-module (gnu packages algebra)
   #:use-module (gnu packages boost)
+  #:use-module (gnu packages check)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages curl)
+  #:use-module (gnu packages documentation)
   #:use-module (gnu packages fontutils)
+  #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages ghostscript)
+  #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gtk)
@@ -59,6 +64,7 @@
   #:use-module (gnu packages python)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages qt)
+  #:use-module (gnu packages xdisorg)
   #:use-module (gnu packages xorg)
   #:use-module (gnu packages))
=20
@@ -524,3 +530,59 @@ including animated GIFs, into ANSI/Unicode character=
 output that can be
 displayed in a terminal.")
     (home-page "https://hpjansson.org/chafa/")
     (license license:lgpl3+)))
+
+(define-public imv
+  (package
+    (name "imv")
+    (version "4.1.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/eXeC64/imv")
+                    (commit (string-append "v" version))))
+              (sha256
+               (base32
+                "0gk8g178i961nn3bls75a8qpv6wvfvav6hd9lxca1skaikd33zdx"))
+              (file-name (git-file-name name version))))
+    (build-system gnu-build-system)
+    (arguments
+     '(#:phases
+       (modify-phases %standard-phases
+         (delete 'configure))
+       #:make-flags
+       (list "CC=3Dgcc"
+             (string-append "PREFIX=3D" (assoc-ref %outputs "out"))
+             (string-append "CONFIGPREFIX=3D"
+                            (assoc-ref %outputs "out") "/etc"))))
+    (inputs
+     `(("asciidoc" ,asciidoc)
+       ("freeimage" ,freeimage)
+       ("glu" ,glu)
+       ("librsvg" ,librsvg)
+       ("libxkbcommon" ,libxkbcommon)
+       ("pango" ,pango)
+       ("wayland" ,wayland)))
+    (native-inputs
+     `(("cmocka" ,cmocka)
+       ("pkg-config" ,pkg-config)))
+    (synopsis "Image viewer for tiling window managers")
+    (description "@code{imv} is a command line image viewer intended for=
 use
+with tiling window managers.  Features include:
+
+@itemize
+@item Native Wayland and X11 support.
+@item Support for dozens of image formats including:
+@itemize
+@item PNG
+@item JPEG
+@item Animated GIFs
+@item SVG
+@item TIFF
+@item Various RAW formats
+@item Photoshop PSD files
+@end itemize
+@item Configurable key bindings and behavior.
+@item Highly scriptable with IPC via imv-msg.
+@end itemize\n")
+    (home-page "https://github.com/eXeC64/imv")
+    (license license:expat)))
--=20
2.23.0





Acknowledgement sent to Peng Mei Yu <pengmeiyu@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#39014; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 17 Jan 2020 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.